# Tab Config

Configure titles, default chains, assets, currencies for each tab. You can also specify allowed chains, allowed tokens for each tab.

All tabs are enabled by default and have the following titles:

* `Tabs.IBC_SWAPS`: 'IBC Swaps'
* `Tabs.TRANSFER`: 'Send'
* `Tabs.FIAT_ON_RAMP`: 'Fiat On-Ramp'
* `Tabs.SWAPS`: 'Swaps'

<pre class="language-typescript" data-full-width="false"><code class="lang-typescript">import { Tabs, SELECT_NONE, SELECT_NATIVE } from '@leapwallet/elements'

<strong>const tabsConfig = {
</strong>  [Tabs.SWAP]: {
    className: 'border',
    showPoweredByBanner: true,
    enabled: true
  },
  [Tabs.FIAT_ON_RAMP]: {
    className: 'border',
    enabled: true,
    showPoweredByBanner: true,
    defaultValues: {
      currency: 'USD',
      destinationChainId: 'cosmoshub-4',
      destinationAsset: {
        originChainId: 'cosmoshub-4',
        originDenom: 'uatom'
      }
    }
  },
  [Tabs.AGGREGATED]: {
    className: 'border',
    enabled: true,
    showPoweredByBanner: false,
    defaultValues: {
      sourceChainId: '1',
      sourceAsset: {
        originChainId: '1',
        originDenom: '0x4Fabb145d64652a948d72533023f6E7A623C7C53'
      },
    }
  },
  [Tabs.TRANSFER]: {
    className: 'border',
    enabled: true,
    showPoweredByBanner: false,
    defaultValues: {
      sourceChainId: 'osmosis-1',
      sourceAsset: {
        originChainId: 'osmosis-1',
        originDenom: 'uosmo'
      },
    }
  }
}
</code></pre>

#### Type Definition

Here's the type definitions for TabsConfig. You don't need to go through this, if your code editor has TS/auto-completion support, it will do the job for you.

```typescript
export type TabConfig<K = unknown> = Prettify<
  {
    enabled?: boolean
    orderIndex?: number
  } & K
>


export type IBCSwapTabConfig = TabConfig<
 IBCSwapsProps
>

export type FiatOnRampTabConfig = TabConfig<
  FiatOnRampProps
>

export type AggregatedSwapTabConfig = TabConfig<
  SwapsProps
>

export type TransferTabConfig = TabConfig<
  IBCTransferProps
>


export type TabsConfig = {
  [Tabs.SWAP]?: IBCSwapTabConfig
  [Tabs.TRANSFER]?: TransferTabConfig
  [Tabs.FIAT_ON_RAMP]?: FiatOnRampTabConfig
  [Tabs.AGGREGATED]?: AggregatedSwapTabConfig
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.leapwallet.io/cosmos/elements/tab-config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
